# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: GLLMmodel.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='GLLMmodel.proto',
  package='',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x0fGLLMmodel.proto\"`\n\nUserInputs\x12\x17\n\x0forganization_id\x18\x01 \x01(\t\x12\x0f\n\x07\x61pi_key\x18\x02 \x01(\t\x12\x12\n\nuser_query\x18\x03 \x01(\t\x12\x14\n\x0cusecase_data\x18\x04 \x01(\t\"\x1a\n\nkeysOutput\x12\x0c\n\x04note\x18\x01 \x01(\t\";\n\nResultText\x12\x15\n\rparsed_output\x18\x01 \x01(\t\x12\x16\n\x0eKGmoduleStatus\x18\x02 \x01(\t\")\n\x0eGroundedOutput\x12\x17\n\x0fgrounded_output\x18\x01 \x01(\t2k\n\tGrounding\x12)\n\rget_keys_data\x12\x0b.UserInputs\x1a\x0b.keysOutput\x12\x33\n\x13get_grounding_model\x12\x0b.ResultText\x1a\x0f.GroundedOutputb\x06proto3'
)




_USERINPUTS = _descriptor.Descriptor(
  name='UserInputs',
  full_name='UserInputs',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='organization_id', full_name='UserInputs.organization_id', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='api_key', full_name='UserInputs.api_key', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='user_query', full_name='UserInputs.user_query', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='usecase_data', full_name='UserInputs.usecase_data', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=19,
  serialized_end=115,
)


_KEYSOUTPUT = _descriptor.Descriptor(
  name='keysOutput',
  full_name='keysOutput',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='note', full_name='keysOutput.note', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=117,
  serialized_end=143,
)


_RESULTTEXT = _descriptor.Descriptor(
  name='ResultText',
  full_name='ResultText',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='parsed_output', full_name='ResultText.parsed_output', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='KGmoduleStatus', full_name='ResultText.KGmoduleStatus', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=145,
  serialized_end=204,
)


_GROUNDEDOUTPUT = _descriptor.Descriptor(
  name='GroundedOutput',
  full_name='GroundedOutput',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='grounded_output', full_name='GroundedOutput.grounded_output', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=206,
  serialized_end=247,
)

DESCRIPTOR.message_types_by_name['UserInputs'] = _USERINPUTS
DESCRIPTOR.message_types_by_name['keysOutput'] = _KEYSOUTPUT
DESCRIPTOR.message_types_by_name['ResultText'] = _RESULTTEXT
DESCRIPTOR.message_types_by_name['GroundedOutput'] = _GROUNDEDOUTPUT
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

UserInputs = _reflection.GeneratedProtocolMessageType('UserInputs', (_message.Message,), {
  'DESCRIPTOR' : _USERINPUTS,
  '__module__' : 'GLLMmodel_pb2'
  # @@protoc_insertion_point(class_scope:UserInputs)
  })
_sym_db.RegisterMessage(UserInputs)

keysOutput = _reflection.GeneratedProtocolMessageType('keysOutput', (_message.Message,), {
  'DESCRIPTOR' : _KEYSOUTPUT,
  '__module__' : 'GLLMmodel_pb2'
  # @@protoc_insertion_point(class_scope:keysOutput)
  })
_sym_db.RegisterMessage(keysOutput)

ResultText = _reflection.GeneratedProtocolMessageType('ResultText', (_message.Message,), {
  'DESCRIPTOR' : _RESULTTEXT,
  '__module__' : 'GLLMmodel_pb2'
  # @@protoc_insertion_point(class_scope:ResultText)
  })
_sym_db.RegisterMessage(ResultText)

GroundedOutput = _reflection.GeneratedProtocolMessageType('GroundedOutput', (_message.Message,), {
  'DESCRIPTOR' : _GROUNDEDOUTPUT,
  '__module__' : 'GLLMmodel_pb2'
  # @@protoc_insertion_point(class_scope:GroundedOutput)
  })
_sym_db.RegisterMessage(GroundedOutput)



_GROUNDING = _descriptor.ServiceDescriptor(
  name='Grounding',
  full_name='Grounding',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=249,
  serialized_end=356,
  methods=[
  _descriptor.MethodDescriptor(
    name='get_keys_data',
    full_name='Grounding.get_keys_data',
    index=0,
    containing_service=None,
    input_type=_USERINPUTS,
    output_type=_KEYSOUTPUT,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='get_grounding_model',
    full_name='Grounding.get_grounding_model',
    index=1,
    containing_service=None,
    input_type=_RESULTTEXT,
    output_type=_GROUNDEDOUTPUT,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_GROUNDING)

DESCRIPTOR.services_by_name['Grounding'] = _GROUNDING

# @@protoc_insertion_point(module_scope)
